GrafX2 2.2 atari port [beta]

Hardware, coding, music, graphic and various applications

Moderators: Mug UK, moondog/.tSCc., lp, [ProToS], Moderator Team

User avatar
saulot
Captain Atari
Captain Atari
Posts: 190
Joined: Sat Sep 18, 2004 9:09 pm
Location: Warszawa
Contact:

Re: GrafX2 2.2 atari port [beta]

Postby saulot » Mon Sep 28, 2015 8:38 pm

From me rather not. But sources are lying and recompiling everything with Coldfire switch should be easy (I could add proper targets in official project). I don't have hardware to test it anyway (with no plans to get one).
Probably SDL has to be patched for firebee (for extended resolutions). I'm not familiar with current SDL state on coldfire target and condition of Firebee SDL video driver (standard resolutions should work probably).

Cheers,
P.

vido
Atari Super Hero
Atari Super Hero
Posts: 565
Joined: Mon Jan 31, 2011 7:39 pm

Re: GrafX2 2.2 atari port [beta]

Postby vido » Tue Sep 29, 2015 6:10 am

oh ... I hope someone will compile it also for the FireBee. I think there is not much to change except to recompile it for the FireBee.
I wish I would know to do that ...

m0n0
Captain Atari
Captain Atari
Posts: 419
Joined: Mon Oct 05, 2009 3:13 am

Re: GrafX2 2.2 atari port [beta]

Postby m0n0 » Sat Oct 10, 2015 7:58 pm

I once compiled it for coldfire, and have written some notes about it:

https://freeshell.de/~monokrom/geeklog/ ... uery=grafx

User avatar
paulwratt
Atari nerd
Atari nerd
Posts: 44
Joined: Sat Dec 27, 2008 10:16 am

Re: GrafX2 2.2 atari port [beta]

Postby paulwratt » Tue Sep 13, 2016 2:21 am

(Can now use Grafx2 from console with TTF, without X Windows, see patch link below)
(copy-post from raspberrypi.org)
Image
I think Grafx2 in now available in Jessie (and on Devuan Pi/Arm) (both Debian 8 )

It can be built on Wheezy (Debian 7)

Get the source here: http://pulkomandy.tk/projects/GrafX2/downloads
Get TTF patch here: http://pulkomandy.tk/projects/GrafX2/ticket/36#no1

The patched files allow you to use Grafx2 with or without X Windows with SDL_TTF. Current binary builds (if you still have the .deb form the old Pi-Store) do NOT allow TTF (and others) use outside of X Windows (will crash because X is not running)

you need the development packages for SDL, SDL_image, SDL_TTF, LibPNG, and LUA 5.1 (or 5.2) for a complete build:

Code: Select all

sudo apt-get install libsdl1.2-dev libsdl-image1.2-dev libsdl-ttf2.0-dev libpng12-dev


By default Grafx2 uses LUA 5.1, so you need to be aware "src/Makefile" may need to be edited if you have any problems building with LUA 5.2 (you can have both installed):

Code: Select all

sudo apt-get install liblua5.1-dev

Code: Select all

sudo apt-get install liblua5.2-dev


Cheers

Paul
Console Power User

User avatar
nanard
Obsessive compulsive Atari behavior
Obsessive compulsive Atari behavior
Posts: 135
Joined: Mon Apr 04, 2016 2:11 pm

Re: GrafX2 2.2 atari port [beta]

Postby nanard » Wed Feb 21, 2018 12:49 pm

I'm trying to automate build of GrafX2 for Atari
Which SDL version are you using ?
4MB STE + CosmosEx /|\ MegaST4 + MegaFile 44 /|\ Stacy 4


Social Media

     

Return to “Professionals”

Who is online

Users browsing this forum: No registered users and 4 guests